Description: Place documentation files in /usr/share/doc/gnat-gps.
 The documentation is described by XML files that GPS parses at run time:
 place them in /usr/share/doc/gnat-gps, too, and patch GPS so it
 looks for them there.  The XML files refer to other files; adjust the
 path to match.
 .
 Mention Debian packages where links are provided,
 remove references to non-free documentations.
Author: Ludovic Brenta <lbrenta@debian.org>
Author: Nicolas Boulenguez <nicolas@debian.org>
Forwarded: not-needed

--- a/docs/gps_index.xml
+++ b/docs/gps_index.xml
@@ -7,7 +7,7 @@
    <doc_path>share/doc/gnat-cross/html</doc_path>
    <doc_path>share/doc/gnat-cross/html/gnat_ugx</doc_path>
    <doc_path>share/doc/gnat-cross/html/gnathie_ug</doc_path>
-   <doc_path>share/doc/gps</doc_path>
+   <doc_path>share/doc/gnat-gps</doc_path>
    <doc_path>share/doc/</doc_path>
 
    <!--  Backward compatibility with earlier versions of GNAT -->
@@ -23,107 +23,65 @@
 
    <documentation_file>
       <name>html/tutorial/index.html</name>
-      <descr>GNAT Programming Studio Tutorial</descr>
+      <descr>GNAT Programming Studio Tutorial (requires gnat-gps-doc Debian package)</descr>
       <category>GPS</category>
       <menu>/Help/GPS/Tutorial</menu>
    </documentation_file>
 
    <documentation_file>
       <name>html/users_guide/index.html</name>
-      <descr>GPS User's Guide</descr>
+      <descr>GPS User's Guide (requires gnat-gps-doc Debian package)</descr>
       <category>GPS</category>
       <menu>/Help/GPS/GPS User's Guide</menu>
    </documentation_file>
 
    <documentation_file>
       <name>html/users_guide/GPS.html</name>
-      <descr>GPS extensions for Python</descr>
+      <descr>GPS extensions for Python (requires gnat-gps-doc Debian package)</descr>
       <menu>/Help/GPS/Python extensions</menu>
       <category>Scripts</category>
    </documentation_file>
 
    <documentation_file>
       <name>html/release_notes/index.html</name>
-      <descr>GPS Release Notes</descr>
+      <descr>GPS Release Notes (requires gnat-gps-doc Debian package)</descr>
       <category>GPS</category>
       <menu>/Help/GPS/Release Notes</menu>
    </documentation_file>
 
    <documentation_file>
-      <name>xmlada/index.html</name>
-      <descr>XML/Ada User's Guide</descr>
+      <name>share/doc/libxmlada-doc/html/index.html</name>
+      <descr>XML/Ada User's Guide (requires libxmlada-doc Debian package)</descr>
       <category>XML</category>
       <menu>/Help/XMLAda/User's Guide</menu>
    </documentation_file>
 
    <documentation_file>
-      <name>gnat_ugn.html</name>
-      <descr>Native GNAT User's Guide</descr>
-      <category>GNAT</category>
-      <menu>/Help/GNAT/Native GNAT User's Guide</menu>
-   </documentation_file>
-
-   <documentation_file>
-      <name>gnat_ugx.html</name>
-      <descr>Cross GNAT User's Guide</descr>
-      <category>GNAT</category>
-      <menu>/Help/GNAT/Cross GNAT User's Guide</menu>
-   </documentation_file>
-
-   <documentation_file>
-     <name>gprbuild_ug.html</name>
-     <descr>gprbuild and GNAT Project Files</descr>
-     <category>GNAT</category>
-     <menu>/Help/GNAT/Gprbuild and GNAT Project Files</menu>
-   </documentation_file>
-
-   <documentation_file>
-      <name>gnathie_ug.html</name>
-      <descr>GNAT Pro User's Guide Supplement for High-Integrity Edition Platforms</descr>
-      <category>GNAT</category>
-      <menu>/Help/GNAT/GNAT HIE User's Guide</menu>
-   </documentation_file>
-
-   <documentation_file>
-      <name>gnat_rm.html</name>
-      <descr>GNAT Reference Manual</descr>
-      <menu>/Help/GNAT/GNAT Reference Manual</menu>
-      <category>GNAT</category>
-   </documentation_file>
-
-   <documentation_file>
-      <name>arm95.html</name>
-      <descr>Ada 95 Reference Manual</descr>
-      <menu>/Help/GNAT/Ada 95 Reference Manual</menu>
+      <name>arm05.html</name>
+      <descr>Ada 2005 Reference Manual (requires ada-reference-manual-2005 Debian package)</descr>
+      <menu>/Help/GNAT/Ada 2005 Reference Manual</menu>
       <category>GNAT</category>
    </documentation_file>
 
    <documentation_file>
-      <name>arm05.html</name>
-      <descr>Ada 2005 Reference Manual</descr>
-      <menu>/Help/GNAT/Ada 2005 Reference Manual</menu>
+      <name>share/doc/ada-reference-manual-2005/aarm2005.html/aa-TOC.html</name>
+      <descr>Annotated Ada 2005 Reference Manual (requires ada-reference-manual-205 Debian package)</descr>
+      <menu>/Help/GNAT/Annotated Ada 2005 Reference Manual</menu>
       <category>GNAT</category>
    </documentation_file>
 
    <documentation_file>
       <name>arm12.html</name>
-      <descr>Ada 2012 Reference Manual</descr>
+      <descr>Ada 2012 Reference Manual (requires ada-reference-manual-2012 Debian package)</descr>
       <menu>/Help/GNAT/Ada 2012 Reference Manual</menu>
       <category>GNAT</category>
    </documentation_file>
 
    <documentation_file>
-      <name>gdb.html</name>
-      <descr>Using the GNU Debugger</descr>
-      <menu>/Help/GNU Tools/Using the GNU Debugger</menu>
-      <category>General</category>
-   </documentation_file>
-
-   <documentation_file>
-      <name>gcc.html</name>
-      <descr>Using GCC</descr>
-      <menu>/Help/GNU Tools/Using GCC</menu>
-      <category>General</category>
+      <name>share/doc/ada-reference-manual-2012/aarm2012.html/aa-TOC.html</name>
+      <descr>Annotated Ada 2012 Reference Manual (requires ada-reference-manual-2012 Debian package)</descr>
+      <menu>/Help/GNAT/Annotated Ada 2012 Reference Manual</menu>
+      <category>GNAT</category>
    </documentation_file>
 
    <documentation_file>
@@ -147,11 +105,4 @@
       <category>General</category>
    </documentation_file>
 
-   <documentation_file>
-      <name>gnatcheck_rm.html</name>
-      <descr>GNATcheck Reference Manual - Predefined Rules</descr>
-      <menu>/Help/GNAT/GNATcheck Reference Manual - Predefined Rules</menu>
-      <category>GNAT</category>
-   </documentation_file>
-
 </index>
--- a/docs/tutorial/intro.rst
+++ b/docs/tutorial/intro.rst
@@ -17,7 +17,7 @@
 that GPS will load the right context.
 
 By default, the tutorial sources can be found under
-`<prefix>/share/examples/gps/tutorial`, where `<prefix>` is the prefix
+`<prefix>/share/doc/gnat-gps/examples/tutorial`, where `<prefix>` is the prefix
 directory of the GPS installation.
 
 Alternatively, if you have already started GPS in another directory, you can
--- a/docs/users_guide/GPS/__init__.py
+++ b/docs/users_guide/GPS/__init__.py
@@ -11024,7 +11024,7 @@
 
     .. code-block:: python
 
-       html = GPS.get_system_dir() + "share/doc/gps/html/gps.html"
+       html = GPS.get_system_dir() + "share/doc/gnat-gps/html/gps-welcome.html"
        # will compute the location of GPS's documentation
     """
     pass  # implemented in Ada
--- a/docs/users_guide/environment.rst
+++ b/docs/users_guide/environment.rst
@@ -310,21 +310,21 @@
 
   Directory containing the shared libraries used by GPS.
 
-* :file:`prefix/share/doc/gps/html`
+* :file:`prefix/share/doc/gnat-gps/html`
 
   GPS looks for all the documentation files under this directory.
 
-* :file:`prefix/share/examples/gps`
+* :file:`prefix/share/doc/gnat-gps/examples`
 
   Directory containing source code examples.
 
-* :file:`prefix/share/examples/gps/language`
+* :file:`prefix/share/doc/gnat-gps/examples/language`
 
   Directory containing sources showing how to provide a shared library to
   dynamically define a new language. See
   :ref:`Adding_support_for_new_languages`.
 
-* :file:`prefix/share/examples/gps/tutorial`
+* :file:`prefix/share/doc/gnat-gps/examples/tutorial`
 
   Directory containing the sources used by the GPS tutorial.
 
--- a/help/src/help_module.adb
+++ b/help/src/help_module.adb
@@ -1139,7 +1139,7 @@
 
       Add_Doc_Directory
         (Kernel,
-         Create_From_Dir (Get_System_Dir (Kernel), "share/doc/gps/html/"));
+         Create_From_Dir (Get_System_Dir (Kernel), "share/doc/gnat-gps/html"));
 
       --  We add the custom path here to make sure that the node parsed by
       --  the custom module will be able to find the documentation.
--- a/kernel/src/welcome_view.adb
+++ b/kernel/src/welcome_view.adb
@@ -178,13 +178,15 @@
          Create_Help_Entry
            (Before_Text => "   " & Bullet_Char (1 .. Last) & " The ",
             Hyperlink   => "GPS User's Guide",
-            After_Text  => ", for guides and API reference",
+            After_Text  => ", for guides and API reference"
+              & " (from the gnat-gps-doc Debian package)",
             URL_Or_File => "users_guide/index.html");
 
          Create_Help_Entry
            (Before_Text => "   " & Bullet_Char (1 .. Last) & " The ",
             Hyperlink   => "GPS Tutorial",
-            After_Text  => ", to help you starting with GPS",
+            After_Text  => ", to help you starting with GPS"
+              & " (from the gnat-gps-doc Debian package)",
             URL_Or_File => "tutorial/index.html");
 
       end;
